/**************************************************************************
 * This file is part of ESTmapper.
 * Copyright (c) 2001, 2002, 2003, 2004 Applera Corporation
 * Authors: Brian Walenz and Liliana Florea
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received (LICENSE.txt) a copy of the GNU General Public 
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**************************************************************************/


#!/bin/sh

#  Build the initial table
./meryl -B -f -m 20 -s test/test-seq1.fasta -o 1

#  Dump the initial table as fasta
./meryl -Dt -n 0 -s 1 > 2.reduce.fasta

#  Build a new table on the dumped fasta
./meryl -B -f -m 20 -s 2.reduce.fasta -o 2

#  Remove one copy of each mer
./meryl -M sub -s 1 -s 2 -o 3


#  Dump / test the mask
#./meryl -M max -s 1 -s 2 -mask 3 -o 4
#./meryl -Dt -s 4

#rm -f 1.mcidx 1.mcdat 1.merStream
#rm -f 2.reduce.fasta
#rm -f 2.mcidx 2.mcdat 2.merStream
#rm -f 3.mcidx 3.mcdat
